# - Find LZMA
# Find LZMA headers and library
#
#  LZMA_FOUND       - True if lzma is found.
#  LZMA_INCLUDE_DIR - Directory where lzma headers are located.
#  LZMA_LIBRARIES   - Lzma libraries to link against.

# Copyright (c) 2008, Per Øyvind Karlsen, <peroyvind@mandriva.org>


IF (LZMA_INCLUDE_DIR)
    SET(LZMA_FIND_QUIETLY TRUE)
ENDIF (LZMA_INCLUDE_DIR)

FIND_PATH(LZMA_INCLUDE_DIR lzma.h )

FIND_LIBRARY(LZMA_LIBRARY NAMES lzma )

# handle the QUIETLY and REQUIRED arguments and set LZMA_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(LZMA DEFAULT_MSG LZMA_INCLUDE_DIR LZMA_LIBRARY)

IF (LZMA_FOUND)
  SET( LZMA_LIBRARIES ${LZMA_LIBRARY} )
ELSE(LZMA_FOUND)
  SET( LZMA_LIBRARIES )
ENDIF(LZMA_FOUND)

MARK_AS_ADVANCED( LZMA_INCLUDE_DIR LZMA_LIBRARY )
